$actions-height: 84px;

.info-block {
  padding: 8px 16px;
  border-radius: 4px;
  display: flex;
  flex-direction: column;
  background: #F2F4F8;

  &__title {
    margin-bottom: 6px;
    color: #212529;
    font-size: 14px;
    font-weight: 600;
    line-height: 20px;
  }

  &__value {
    font-size: 14px;
    line-height: 20px;
    color: #212529;

    .vertical-hr {
      display: inline-block;
      margin: 0 8px;
      color: rgba(0, 0, 0, 0.13);
    }
  }
}

.deliveries {
  padding: 24px 24px $actions-height 24px;

  p {
    margin-bottom: 0;
  }

  &-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 32px;

    &__title {
      font-size: 28px;
      font-weight: 600;
      line-height: 34px;
    }

    &-actions {
      position: fixed;
      bottom: 0;
      left: 0;
      width: 100%;
      height: $actions-height;
      display: grid;
      grid-template-columns: 1fr 1fr;

      @media screen and (min-width: 992px) {
        height: auto;
        display: flex;
        position: static;
        width: auto;
      }

      &__btn {
        margin-left: 0;
        border: none;
        display: flex;
        align-items: center;
        justify-content: center;
        font-size: 14px;
        font-weight: 500;

        @media screen and (min-width: 992px) {
          padding: 8px 16px 12px;
          border-radius: 12px;
          border: 1px solid transparent;
          height: 36px;
        }

        &:not(:last-child) {
          margin-right: 8px;
        }

        &.cancel {
          border: 1px solid #6C757D;
          color: #6C757D;
          background: #F5F5F5;

          @media screen and (min-width: 992px) {
            background: transparent;
          }

          &::before {
            content: '';
            width: 20px;
            height: 20px;
            background: url("/img/close.svg");
            margin-right: 4px;

            @media screen and (min-width: 992px) {
              width: 24px;
              height: 24px;
              position: relative;
              top: 2px;
            }
          }
        }

        &.edit {
          background: #06158E;
          color: #F7E2B5;

          @media screen and (min-width: 992px) {

          }

          &::before {
            content: '';
            width: 20px;
            height: 20px;
            background: url("/img/edit.svg");
            margin-right: 8px;

            @media screen and (min-width: 992px) {
              width: 24px;
              height: 24px;
            }
          }
        }
      }
    }
  }

  &-main {
    display: grid;
    grid-row-gap: 24px;

    @media screen and (min-width: 992px) {
      grid-column-gap: 24px;
      grid-template-columns: 375px 1fr;
    }
  }

  &-info {
    display: grid;
    grid-row-gap: 16px;

    @media screen and (min-width: 992px) {
      order: 1;
    }

    &-status {
      padding: 12px 24px;
      border-radius: 4px;
      background: #F2F4F8;
      display: flex;
      align-items: center;
      justify-content: space-between;
      column-gap: 5px;

      &-item {
        display: flex;
        flex-direction: column;
        align-items: center;

        &.finished {

          .deliveries-info-status-item__icon {
            background: #198754;

            &::after {
              -webkit-mask-image: url("/img/check.svg");
              background-color: #FFF;
            }
          }
        }

        &.pending {

          .deliveries-info-status-item__icon {
            background-color: #F7E2B5;
          }
        }

        &__separator {
          border-bottom: 1px dashed #ADB5BD;
          height: 1px;
          width: 100%;
          max-width: 34px;
        }

        &__icon {
          width: 32px;
          height: 32px;
          display: flex;
          align-items: center;
          justify-content: center;
          border-radius: 50%;
          background: #FFFFFF;

          &::after {
            content: "";
            width: 16px;
            height: 16px;
            background-color: #6C757D;
          }

          &.new {

            &::after {
              -webkit-mask-image: url("/img/arrow-counterclockwise.svg");
            }
          }

          &.packed {

            &::after {
              -webkit-mask-image: url("/img/box.svg");
            }
          }

          &.confirming {

            &::after {
              -webkit-mask-image: url("/img/clock-icon-status.svg");
            }
          }

          &.confirmed {

            &::after {
              -webkit-mask-image: url("/img/check.svg");
            }
          }

          &.out-of-delivery {

            &::after {
              -webkit-mask-image: url("/img/truck.svg");
            }
          }

          &.delivered {

            &::after {
              -webkit-mask-image: url("/img/check.svg");
            }
          }
        }

        &__title {
          display: none;
          font-size: 12px;
          line-height: 18px;
          color: #212529;

          @media screen and (min-width: 992px) {
            display: initial;
            white-space: nowrap;
          }
        }
      }
    }

    &-rv {
      display: grid;
      grid-row-gap: 16px;

      @media screen and (min-width: 992px) {
        grid-template-columns: 1fr 1fr;
        grid-column-gap: 16px;
      }

      &-item {
        display: grid;
        grid-template-columns: 64px 1fr;
        grid-column-gap: 16px;
        align-items: center;
        padding: 12px 24px;
        border-radius: 4px;
        background: #F2F4F8;

        &__img {

        }

        &-info {

          &__title {
            margin-bottom: 2px;
            font-size: 16px;
            font-weight: 600;
            line-height: 22px;
            color: #212529;
          }

          &__hint {
            font-size: 14px;
            line-height: 20px;
            color: #212529;
          }
        }
      }
    }

    &-overview {
      border-radius: 4px;
      border: 1px solid rgba(0, 0, 0, 0.13);
      padding: 24px;

      @media screen and (min-width: 992px) {

      }

      &__title {
        margin-bottom: 16px;
        font-size: 20px;
        font-weight: 600;
        line-height: 26px;
        color: #212529;
      }

      &-blocks {
        display: grid;
        row-gap: 16px;

        @media screen and (min-width: 992px) {
          grid-template-columns: repeat(3, 1fr);
          grid-column-gap: 16px;
        }

        &-block {

          &__title {

          }

          &__value {

          }
        }
      }
    }

    &-details {
      border-radius: 4px;
      border: 1px solid rgba(0, 0, 0, 0.13);
      padding: 24px;

      &__title {
        margin-bottom: 16px;
        font-size: 20px;
        font-weight: 600;
        line-height: 26px;
        color: #212529;
      }

      &-address {
        display: grid;
        margin-bottom: 16px;

        @media screen and (min-width: 992px) {
          grid-template-columns: 1fr 112px 1fr;
          column-gap: 16px;
          align-items: center;
        }

        &-item {
          display: grid;
          grid-template-columns: 24px 1fr;
          grid-column-gap: 6px;
          align-items: center;

          @media screen and (min-width: 992px) {

          }

          &__icon {

          }

          &__value {
            font-size: 14px;
            line-height: 20px;
            color: #212529;
          }
        }

        &__destination-line {
          margin: 16px 6px;
          height: 1px;
          position: relative;
          border-bottom: 1px solid rgba(0, 0, 0, 0.13);

          @media screen and (min-width: 992px) {
            margin: 16px 6px;
          }

          &::after {
            content: "";
            position: absolute;
            left: 100%;
            top: 50%;
            translate: 0 -40%;
            clip-path: polygon(50% 0%, 0% 100%, 100% 100%);
            width: 6px;
            height: 6px;
            background-color: rgba(0, 0, 0, 0.13);
            rotate: 90deg;
          }

          &::before {
            content: "";
            position: absolute;
            right: 100%;
            top: 50%;
            translate: 0 -40%;
            width: 6px;
            height: 6px;
            border-radius: 50%;
            background-color: rgba(0, 0, 0, 0.13);
          }
        }
      }

      &-blocks {
        display: grid;
        grid-row-gap: 16px;

        @media screen and (min-width: 992px) {
          grid-template-columns: 1fr 1fr;
          grid-column-gap: 16px;
        }

        &-block {

          &__title {

          }

          &__value {

          }
        }
      }
    }

    &-order {
      border-radius: 4px;
      border: 1px solid rgba(0, 0, 0, 0.13);
      padding: 24px;

      &__title {
        margin-bottom: 20px;
        font-size: 20px;
        font-weight: 600;
        line-height: 26px;
        color: #212529;
      }

      &-blocks {
        display: grid;
        grid-row-gap: 16px;

        @media screen and (min-width: 992px) {

        }

        &-block {

          &__title {

          }

          &__value {

          }
        }
      }
    }
  }

  &-map {
    width: 100%;
    height: 550px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #212529;
    background-color: rgba(0, 0, 0, .13);

    &::after {
      content: "MAP PLACEHOLDER"
    }

    @media screen and (min-width: 992px) {

    }
  }
}
